using System;

namespace prodjekt
{
	class Program
	{

		static void Main(string[] args)
		{
			string[] unos = Console.ReadLine().Split();
			int n = int.Parse(unos[0]);
			int m = int.Parse(unos[1]);

			//druzeljubivost
			int[] d = new int[n];

			//ukupna sreca
			long sreca = 0;
			
			//unos druzeljubivosti
			for (int i = 0; i < n; i++)
			{
				d[i] = int.Parse(Console.ReadLine());
			}

			//unos poznanstava
			for (int i = 0; i < m; i++)
			{
				string[] ulaz = Console.ReadLine().Split();

				int a = int.Parse(ulaz[0]) - 1;
				int b = int.Parse(ulaz[1]) - 1;

				//da li je sreca veca kada su prijatelji ili neprijatelji?
				int s = Math.Max((d[a] + d[b]), -(d[a] + d[b]));
				sreca += s;
			}
			Console.WriteLine(sreca);
		}
	}
}